Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FUserCtx

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FUserCtx

All Implemented Interfaces:
  java.io.Serializable

public class R01FUserCtx
extends java.lang.Object
implements java.io.Serializable

Usuario

See Also:
  Serialized Form

Field Summary
`java.util.Map` | `attributes`
`java.lang.String` | `name`
`java.lang.String` | `oid`
`R01FOrgNodeCtx` | `org`

Constructor Summary
`R01FUserCtx()` Constructor vacio
`R01FUserCtx(java.lang.String newOid, java.lang.String newName, java.util.Map newAttributes, R01FOrgNodeCtx newOrg)` Constructor

Method Summary
`boolean` | `belongsTo(java.lang.String orgOID)` Comprueba si un usuario pertenece a una determinada organizacion
`java.lang.String` | `getAttribute(java.lang.String attrName)` Devuelve un atributo del usuario (dni, login, puesto, etc)
`java.lang.String` | `getName()` Devuelve el nombre del usuario
`java.lang.String` | `getOID()` Devuelve el oid del usuario
`R01FOrgNodeCtx` | `getOrganization()` Devuelve el primer nodo de la estructura organizativa a la que pertenece un usuario: Ejemplo: entidad->depto->direccion
`boolean` | `isValid()` Comprueba si el objeto es valido

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oid

    public java.lang.String oid

### name

    public java.lang.String name

### attributes

    public java.util.Map attributes

### org

    public R01FOrgNodeCtx org

Constructor Detail

### R01FUserCtx

    public R01FUserCtx()

  Constructor vacio

### R01FUserCtx

    public R01FUserCtx(java.lang.String newOid,
                       java.lang.String newName,
                       java.util.Map newAttributes,
                       R01FOrgNodeCtx newOrg)

  Constructor

Parameters:
  `newOid` - Identificador del contexto de usuario
  `newName` - Nombre
  `newAttributes` - Atributos
  `newOrg` - Organización

Method Detail

### getOID

    public java.lang.String getOID()

  Devuelve el oid del usuario

### getName

    public java.lang.String getName()

  Devuelve el nombre del usuario

  Returns:

### getAttribute

    public java.lang.String getAttribute(java.lang.String attrName)

  Devuelve un atributo del usuario (dni, login, puesto, etc)

### getOrganization

    public R01FOrgNodeCtx getOrganization()

  Devuelve el primer nodo de la estructura organizativa a la que pertenece un usuario: Ejemplo: entidad->depto->direccion

### belongsTo

    public boolean belongsTo(java.lang.String orgOID)

  Comprueba si un usuario pertenece a una determinada organizacion

### isValid

    public boolean isValid()

  Comprueba si el objeto es valido

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD